org.apache.jmeter.save

## Class TestResultWrapper

- java.lang.Object
- - org.apache.jmeter.save.TestResultWrapper

    public class TestResultWrapper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TestResultWrapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<SampleResult>` `getSampleResults()`
`long` `getTestStartTime()`
`String` `getVersion()`
`void` `setSampleResults(Collection<SampleResult> sampleResults)`
`void` `setTestStartTime(long testStartTime)`
`void` `setVersion(String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestResultWrapper

    public TestResultWrapper()

### Method Detail

#### getSampleResults

    public Collection<SampleResult> getSampleResults()

Returns:
  Returns the sampleResults.

#### setSampleResults

    public void setSampleResults(Collection<SampleResult> sampleResults)

Parameters:
  `sampleResults` - The sampleResults to set.

#### getTestStartTime

    public long getTestStartTime()

Returns:
  Returns the testStartTime.

#### setTestStartTime

    public void setTestStartTime(long testStartTime)

Parameters:
  `testStartTime` - The testStartTime to set.

#### getVersion

    public String getVersion()

Returns:
  Returns the version.

#### setVersion

    public void setVersion(String version)

Parameters:
  `version` - The version to set.